## ros-humble-rqt-robot-monitor 1.0.6

=== debian/changelog ===
ros-humble-rqt-robot-monitor (1.0.6-2bookworm) bookworm; urgency=high

  * Fix warning for setup.cfg that separation by dash will be removed (#45 <https://github.com/ros-visualization/rqt_robot_monitor/issues/45>)
  * Fix for instantiation issue (#43 <https://github.com/ros-visualization/rqt_robot_monitor/issues/43>)
  * Fix error on ctrl+c

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rqt-robot-monitor (1.0.5-2bookworm) bookworm; urgency=high

  * Improve error and warning lists by only showing leaf-elements

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Tue, 15 Mar 2022 16:00:00 -0000

ros-humble-rqt-robot-monitor (1.0.4-2bookworm) bookworm; urgency=high

  * prevent freezing of gui if no aggregator is present, fixes #31 <https://github.com/ros-visualization/rqt_robot_monitor/issues/31>
  * added alternative view of devices for treeview

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Sun, 06 Dec 2020 16:00:00 -0000

ros-humble-rqt-robot-monitor (1.0.3-2bookworm) bookworm; urgency=high

  * Fixed the functionality of the timeline_view

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Sun, 06 Sep 2020 16:00:00 -0000

ros-humble-rqt-robot-monitor (1.0.2-2bookworm) bookworm; urgency=high

  * fix for changed data type of diagnostic level (#26 <https://github.com/ros-visualization/rqt_robot_monitor/issues/26>)

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Sun, 09 Aug 2020 16:00:00 -0000

ros-humble-rqt-robot-monitor (1.0.1-2bookworm) bookworm; urgency=high

  * temporary remove the rqt_bag dependency and plugin (#22 <https://github.com/ros-visualization/rqt_robot_monitor/issues/22>)

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Wed, 10 Jun 2020 16:00:00 -0000

ros-humble-rqt-robot-monitor (1.0.0-2bookworm) bookworm; urgency=high

  * changed python(3)-rospkg dependency to python(3)-rospkg-modules
  * merged changes for ROS 2

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.5.10-2bookworm) bookworm; urgency=high

  * updated package to format 3
  * added mutex and checks to fix (#13 <https://github.com/ros-visualization/rqt_robot_monitor/issues/13>)

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Sat, 18 Apr 2020 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.5.9-2bookworm) bookworm; urgency=high

  * refactored code and made signaling more efficient
  * stale messages appear now in the error pane

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Tue, 23 Jul 2019 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.5.8-2bookworm) bookworm; urgency=high

  * Fix apparent threading bug in timeline_view (#5 <https://github.com/ros-visualization/rqt_robot_monitor/pull/5>)

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Mon, 25 Sep 2017 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.5.7-2bookworm) bookworm; urgency=high



 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Tue, 25 Apr 2017 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.5.6-2bookworm) bookworm; urgency=high

  * use Python 3 compatible syntax (#121 <https://github.com/ros-visualization/rqt_robot_plugins/pull/121>)

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Mon, 23 Jan 2017 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.5.5-2bookworm) bookworm; urgency=high



 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Tue, 01 Nov 2016 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.5.4-2bookworm) bookworm; urgency=high



 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Sun, 18 Sep 2016 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.5.3-2bookworm) bookworm; urgency=high



 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Sun, 15 May 2016 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.5.2-2bookworm) bookworm; urgency=high



 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Thu, 28 Apr 2016 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.5.1-2bookworm) bookworm; urgency=high



 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Wed, 27 Apr 2016 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.5.0-2bookworm) bookworm; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#101 <https://github.com/ros-visualization/rqt_robot_plugins/pull/101>)

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Tue, 26 Apr 2016 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.4.3-2bookworm) bookworm; urgency=high



 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Mon, 07 Mar 2016 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.4.2-2bookworm) bookworm; urgency=high



 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Thu, 23 Jul 2015 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.4.1-2bookworm) bookworm; urgency=high

  * fix installing missing bag_plugin xml (#288 <https://github.com/ros-visualization/rqt_common_plugins/issues/288>)

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Wed, 29 Apr 2015 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.4.0-2bookworm) bookworm; urgency=high

  * rewrite rqt_robot_monitor (#3 <https://github.com/ros-visualization/rqt_robot_plugins/issues/3>, #9 <https://github.com/ros-visualization/rqt_robot_plugins/issues/9>, #32 <https://github.com/ros-visualization/rqt_robot_plugins/issues/32>, #33 <https://github.com/ros-visualization/rqt_robot_plugins/issues/33>, #71 <https://github.com/ros-visualization/rqt_robot_plugins/issues/71>)
  * make diagnostics_agg a relative topic (#32 <https://github.com/ros-visualization/rqt_robot_plugins/issues/32>)
  * add rqt_bag plugin
  * update script to use full plugin name

 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Tue, 04 Nov 2014 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.3.7-2bookworm) bookworm; urgency=high



 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Sun, 17 Aug 2014 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.3.6-2bookworm) bookworm; urgency=high



 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Thu, 10 Jul 2014 16:00:00 -0000

ros-humble-rqt-robot-monitor (0.3.5-2bookworm) bookworm; urgency=high



 -- Arne Hitzmann <arne.hitzmann@gmail.com>  Sun, 01 Jun 2014 16:00:00 -0000


